//----------------------------------------------------------------------------
//  Project Fcombo
//  
//  Copyright  1996. All Rights Reserved.
//
//  SUBSYSTEM:    Fcombo Application
//  FILE:         fcombapp.h
//  AUTHOR:       Dr J. Maddock
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TFcomboApp (TApplication).
//
//----------------------------------------------------------------------------
#if !defined(fcombapp_h)              // Sentry, use file only if it's not already included.
#define fcombapp_h

#include <owl/opensave.h>


#include "fcombapp.rh"            // Definition of all resources.


//
// FrameWindow must be derived to override Paint for Preview and Print.
//
//{{TDecoratedFrame = TSDIDecFrame}}
class TSDIDecFrame : public TDecoratedFrame {
  public:
    TSDIDecFrame(TWindow* parent, const char far* title, TWindow* clientWnd, bool trackMenuSelection = false, TModule* module = 0);
    ~TSDIDecFrame();
};    //{{TSDIDecFrame}}


//{{TApplication = TFcomboApp}}
class TFcomboApp : public TApplication {
  private:


  public:
    TFcomboApp();
    virtual ~TFcomboApp();

//{{TFcomboAppVIRTUAL_BEGIN}}
  public:
    virtual void InitMainWindow();
//{{TFcomboAppVIRTUAL_END}}

//{{TFcomboAppRSP_TBL_BEGIN}}
  protected:
    void CmHelpAbout();
//{{TFcomboAppRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TFcomboApp);
};    //{{TFcomboApp}}


#endif  // fcombapp_h sentry.
